AGH RuntimeAPI Reference
Vault
AGH Vault HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
List redacted vault secret metadata
GET
/api/vault/secretsQuery Parameters
prefix?string
Filter by vault ref prefix
namespace?string
Filter by vault namespace
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/vault/secrets"{
"secrets": [
{
"created_at": "2019-08-24T14:15:22Z",
"kind": "string",
"namespace": "string",
"present": true,
"ref": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Empty
Delete one vault secret
DELETE
/api/vault/secretsQuery Parameters
ref*string
Vault ref
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://loading/api/vault/secrets?ref=string"Empty
{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Empty
Create or update one write-only vault secret
PUT
/api/vault/secretsRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://loading/api/vault/secrets" \ -H "Content-Type: application/json" \ -d '{ "ref": "string", "secret_value": "string" }'{
"secret": {
"created_at": "2019-08-24T14:15:22Z",
"kind": "string",
"namespace": "string",
"present": true,
"ref": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Empty
Read redacted vault secret metadata
GET
/api/vault/secrets/metadataQuery Parameters
ref*string
Vault ref
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/vault/secrets/metadata?ref=string"{
"secret": {
"created_at": "2019-08-24T14:15:22Z",
"kind": "string",
"namespace": "string",
"present": true,
"ref": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Empty